TencentNavKit

Properties | List of all members
TNKNaviTrafficBarWidget Class Reference

路况光柱图 More...

`#import <TNKNaviTrafficBarWidget.h>`

Inheritance diagram for TNKNaviTrafficBarWidget:

## Properties
TNKNaviTrafficBarWidgetOrientation | orientation
| 视图展示方向，默认为TNKNaviTrafficBarWidgetOrientationHorizontal More...
UIColor * | borderColor
| 边框颜色 More...
CGFloat | borderWidth
| 边框宽度 More...
CGFloat | cornerRadius
| 圆角半径 More...
NSDictionary< NSNumber *, UIColor * > * | colorConfig
| 交通状态的颜色 例如，@(TNKRouteTrafficDataStatusSmooth): [UIColor greenColor], @(TNKRouteTrafficDataStatusSlow) : [UIColor yellowColor]} More...
UIColor * | labelColor
BOOL | wholeJourney
| 光柱图是否表示全程，默认为YES。全程表示偏航后考虑偏航前行驶的里程，车标不会重新回到光柱图底部。 More...
(void) | - setCarIcon:size:
| 在导航开始之前可设置小车的图标以及大小 More...
(void) | - setTotalDistanceLabelColor:
(instancetype) | - initWithFrame:orientation:

## Additional Inherited Members
Instance Methods inherited from <TNKDriveNavDelegate>
(void) | - driveNavManagerDidStart:
| 导航开始. More...
(void) | - driveNavManagerDidStop:
| 导航结束. More...
(void) | - driveNavManagerOnNavigationDataReady:nav_session_id:success:
| slice状态下导航开启的回调，根据success自行处理后续的逻辑，如失败重新算路等;如三段slice的情况下自行在success的情况下发起导航 More...
(void) | - driveNavManagerWillArriveDestination:
| 获取到达终点附近的回调. 尚未结束导航时, 这个回调可能执行多次. More...
(void) | - driveNavManager:updateNavigationData:
| 获取导航面板信息 More...
(void) | - driveNavManager:didUpdateLocation:
| 获取导航定位更新回调. More...
(void) | - driveNavManager:updateLocationFailedWithError:
| 获取定位失败的回调 More...
(void) | - driveNavManager:gpsStatusDidChange:
| 获取GPS信号状态变化的回调. More...
(void) | - driveNavManager:didStartRerouting:
| 获取重新算路请求开始回调. More...
(void) | - driveNavManager:didOnOffRoute:
| 偏航请求开始回调. More...
(void) | - driveNavManager:didStartNavFail:
| 导航开始失败回调. More...
(void) | - driveNavManager:rerouteDidSuccess:
| 获取重新算路请求成功回调. More...
(void) | - driveNavManager:rerouteDidFail:
| 获取重新算路请求失败回调. More...
(void) | - driveNavManager:rerouteDidInFence:
| 获取重新算路请求的起点命中无路网回调。如果新的起点命中无路网的位置，则暂时不下发新路线 More...
(void) | - driveNavManagerDidUpdateRotueTraffic:
| 更新路线路况数据回调. 具体信息可通过manager.curNavRoute.curTrafficItems取得最新的路况数据；通过manager.backupNavRoutes获取伴随路线的路况信息 More...
(void) | - driveNavManager:updateParallelRoadStatus:
| 获取切换平行路状态更新回调. More...
(void) | - driveNavManager:showGuidedLaneInfo:
| 显示车道信息回调. More...
(void) | - driveNavManagerHideGuidedLaneInfo:
| 隐藏车道线回调. More...
(void) | - driveNavManager:didDeleteBackupRoutes:
| 开启多路线功能时，删除备选路线的回调. More...
(void) | - driveNavManager:didAddBackupRoutes:
| 开启多路线功能时，补充了备选路线的回调. More...
(void) | - driveNavManager:routeDidChange:changeRouteMsg:
| 路线切换回调. More...
(void) | - driveNavManager:didEnterIdleSection:
| 进入空闲区间的回调. More...
(void) | - driveNavManager:showRecommendedRouteInfo:
| 推荐新路线的回调. 开发者可以根据该回调做弹框提示. More...
(void) | - driveNavManager:didArriveWaypointInfo:
| 获取经过途经点回调. More...
(void) | - driveNavManager:didUpdateTollStationInfo:
| 收费站信息更新回调. 通常在驶出收费站时回调 More...
(void) | - driveNavManager:didUpdateTrafficJamInfo:
| 前方拥堵区域信息的更新回调。 More...
(void) | - driveNavManager:didUpdateCameraInfo:
| 前方电子眼信息，会给出一定距离内的电子眼信息。size为0时表示前方一定距离内没有电子眼 More...

## Detailed Description

路况光柱图

## Method Documentation

## ◆ initWithFrame:orientation:

- (instancetype) initWithFrame: |  | (CGRect) | frame
orientation: |  | (TNKNaviTrafficBarWidgetOrientation) | orientation

## ◆ setCarIcon:size:

- (void) setCarIcon: |  | (UIImage *) | icon
size: |  | (CGSize) | size

在导航开始之前可设置小车的图标以及大小

Parameters

  icon | 小车图标
  size | 小车的大小

## ◆ setTotalDistanceLabelColor:

- (void) setTotalDistanceLabelColor: |  | (UIColor *) | totalDistanceLabelColor |

## Property Documentation

## ◆ borderColor

- (UIColor*) borderColor
| readwritenonatomicstrong

边框颜色

## ◆ borderWidth

- (CGFloat) borderWidth
| readwritenonatomicassign

边框宽度

## ◆ colorConfig

- (NSDictionary<NSNumber *, UIColor *>*) colorConfig
| readwritenonatomiccopy

交通状态的颜色 例如，@(TNKRouteTrafficDataStatusSmooth): [UIColor greenColor], @(TNKRouteTrafficDataStatusSlow) : [UIColor yellowColor]}

## ◆ cornerRadius

- (CGFloat) cornerRadius
| readwritenonatomicassign

圆角半径

## ◆ labelColor

- (UIColor*) labelColor
| readwritenonatomiccopy

## ◆ orientation

- (TNKNaviTrafficBarWidgetOrientation) orientation
| readwritenonatomicassign

视图展示方向，默认为TNKNaviTrafficBarWidgetOrientationHorizontal

## ◆ wholeJourney

- (BOOL) wholeJourney
| readwritenonatomicassign

光柱图是否表示全程，默认为YES。全程表示偏航后考虑偏航前行驶的里程，车标不会重新回到光柱图底部。

The documentation for this class was generated from the following file:

- TNKNaviTrafficBarWidget.h